from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XComboBox(XInterface, Protocol):
    def addItemListener(self, l: XItemListener) -> None: ...
    def removeItemListener(self, l: XItemListener) -> None: ...
    def addActionListener(self, l: XActionListener) -> None: ...
    def removeActionListener(self, l: XActionListener) -> None: ...
    def addItem(self, aItem: str, nPos: int) -> None: ...
    def addItems(self, aItems: sequence<string>, nPos: int) -> None: ...
    def removeItems(self, nPos: int, nCount: int) -> None: ...
    def getItemCount(self) -> int: ...
    def getItem(self, nPos: int) -> str: ...
    def getItems(self) -> list[str]: ...
    def getDropDownLineCount(self) -> int: ...
    def setDropDownLineCount(self, nLines: int) -> None: ...
